import path_setting
from in_common.base_request import BaseRequest


class eyelids_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.EYELIDS_DIARY_CARDS_CONFIG)



    # 模拟整形，双眼皮，发型，美瞳，眉毛推荐日记
    def diary_cards(self,current_city_id,page,page_size,tag_names):
        self.params["current_city_id"] = current_city_id
        self.params["page"] = page
        self.params["page_size"] = page_size
        self.params["tag_names"] = tag_names
        return self.api_send(self.data["diary_cards"])




if __name__ == '__main__':
    tag_names = '["埋线双眼皮","定点双眼皮","切开双眼皮"]'
    print(eyelids_request().diary_cards("beijing","1","10",tag_names))